%define monodir %_prefix/lib/mono
%define monodocdir %_prefix/lib/monodoc
%define monover 4.0
%define pkgconfigdir %_datadir/pkgconfig
Summary: Mono tools, including the documentation browser
Name: mono-tools
Version: 4.2
Release: %mkrel 3
Source0: http://download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.gz
Source1: gsharp.svg
Patch1:	mono-tools-2.11-disable-gendarme-webdoc-build.patch
Patch2:	gsharp_icon.patch
# Patch from http://lists.ximian.com/pipermail/mono-list/2013-December/050567.html and
# https://build.opensuse.org/package/view_file/home:tpokorra:mono/mono-tools/docbrowser.patch?expand=1
# Thanks to openSUSE.
Patch3: mono-tools-4.2-docbrowser.patch
License: GPLv2 and LGPLv2
Group: Development/Other
Url: http://www.mono-project.com/Main_Page
#gw it needs System.Xml.Linq:
BuildRequires: glade-sharp2
BuildRequires: glib-gettextize
BuildRequires: gnome-desktop-sharp-devel
BuildRequires: gnome-sharp2-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: libgdiplus-devel
BuildRequires: mono-data
BuildRequires: mono-data-oracle
BuildRequires: mono-devel >= 4.0
BuildRequires: nunit
BuildRequires: nunit-devel
BuildRequires: monodoc-devel
BuildRequires: mono-web-devel
BuildRequires: webkit-sharp-devel
BuildRequires: zip
Requires(post): monodoc-core >= %monover
Requires: monodoc-core >= %monover
BuildArch: noarch
%global __requires_exclude lib.*gtk

%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%prep
%setup -q
%patch1 -p1 -b .disable_gendarme
%patch2 -p0 -b .gsharp_icon
%patch3 -p1 -b .docbrowser

for i in `find . -name "*.am"`;
do
	sed -i -e 's|-define:DEBUG|-define:DEBUG -sdk:4|g' $i
done

find . -name "Makefile.in" -print -exec sed -i "s#GMCS#MCS#g; s#DMCS#MCS#g" {} \;
find . -name "configure" -print -exec sed -i "s#GMCS#MCS#g; s#DMCS#MCS#g" {} \;
sed -i "s#mono-nunit#nunit#g" configure
sed -i "s#mono-nunit#nunit#g" gendarme/rules/Test.Rules/Makefile.in

%build
%configure2_5x --libdir=%{_prefix}/lib --build=%{_build}
#gw parallel make fails in 2.2
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std pkgconfigdir=%pkgconfigdir
%find_lang %name
#gw it needs Mono.WebBrowser which needs gluezilla
rm -f %buildroot%monodocdir/MonoWebBrowserHtmlRender.dll
touch %buildroot%monodocdir/monodoc.index

mkdir -p %buildroot%_iconsdir
cp %{SOURCE1} %buildroot%_iconsdir

%files -f %name.lang
%doc AUTHORS README ChangeLog
%_bindir/emveepee
%_bindir/minvoke
%_bindir/monodoc
%_bindir/mperfmon
%_bindir/gasnview
%_bindir/gd2i
%_bindir/gendarme
%_bindir/gendarme-wizard
%_bindir/gsharp
%_bindir/gui-compare
%_bindir/create-native-map
%_bindir/ilcontrast
%_bindir/mprof*
%_prefix/lib/create-native-map
%_prefix/lib/ilcontrast/
%dir %_prefix/lib/minvoke/
%_prefix/lib/minvoke/minvoke.exe
%dir %_prefix/lib/%name
%_prefix/lib/%name/emveepee.exe*
%_prefix/lib/%name/mprof*
%_prefix/lib/%name/Mono.Profiler*
%_mandir/man1/*
%_mandir/man5/*
%_prefix/lib/gendarme
%_prefix/lib/gsharp
%_prefix/lib/gui-compare
%_prefix/lib/mperfmon
%_iconsdir/gsharp.*
%monodir/1.0/*
%monodocdir/browser.exe
%monodocdir/GtkHtmlHtmlRender.dll
%monodocdir/WebKitHtmlRender.dll
%monodocdir/sources/Gendarme*
%monodocdir/sources/gendarme*
%monodocdir/web
%pkgconfigdir/*.pc
%_datadir/applications/gendarme-wizard.desktop
%_datadir/applications/gsharp.desktop
%_datadir/applications/monodoc.desktop
%_datadir/applications/ilcontrast.desktop
%_datadir/pixmaps/*
%_datadir/icons/hicolor/*/apps/*
%ghost %monodocdir/monodoc.index


%changelog
* Wed Oct 19 2016 tv <tv> 4.2-3.mga6
+ Revision: 1062253
- switch from %%old_configure to %%configure2_5x --build=%%{_build}

  + daviddavid <daviddavid>
    - switch to %%configure2_5x macro with --build=%%{_build} option

* Mon Feb 15 2016 shlomif <shlomif> 4.2-2.mga6
+ Revision: 961529
- Add missing BR - thanks to Luigi
- Fix the build using a patch

  + luigiwalser <luigiwalser>
    - 4.2
    - update URLs
    - switch from dmcs to mcs (fedora)

  + tv <tv>
    - kill patch0 (no need as gtkhtml3 is not BRed)
      (the proper way would have been to use --disable-gtkhtml anyway)
    - switch to %%old_configure
    - switch to %%configure2.5
    - add more BRs
    - BR pkgconfig(monodoc)
    - BR monodoc
    - sort BRs
    - mono4 fixes
    - mono4 fixes
    - new release

* Wed Oct 15 2014 umeabot <umeabot> 2.11-8.mga5
+ Revision: 738817
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11-7.mga5
+ Revision: 682581
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Thu May 01 2014 anaselli <anaselli> 2.11-6.mga5
+ Revision: 619321
- Right installation of icon
- Fixed gsharp icon

* Sat Oct 19 2013 umeabot <umeabot> 2.11-5.mga4
+ Revision: 529782
- Mageia 4 Mass Rebuild

* Fri Jul 12 2013 matteo <matteo> 2.11-4.mga4
+ Revision: 453221
- bumped release
- disable post until webdoc is fixed

* Thu Jul 11 2013 matteo <matteo> 2.11-3.mga4
+ Revision: 453215
- rename Patch1
- new version 2.11 (git master)
- disabled gtkhtml (cannot compile)
- disabled gendarme and webdoc (cannot compile)

* Sat Jan 12 2013 umeabot <umeabot> 2.10-2.mga3
+ Revision: 360251
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 pterjan <pterjan> 2.10-1.mga1
+ Revision: 88090
- Update to 2.10

* Sat Jan 15 2011 pterjan <pterjan> 2.8-2.mga1
+ Revision: 18959
- Drop obsolete scriptlets
- imported package mono-tools

